Audiences
List audiences
Returns all audiences in your workspace. Requires audiences:manage scope.
Authorization
bearerAuth AuthorizationBearer <token>
Bearer token authentication. Use a Regular API key for email sending, or an Admin API key for marketing and automation endpoints.
Get your API keys from Settings → API Keys (regular) or Settings → Admin API Keys (admin) in the dashboard.
In: header
Query Parameters
page?integer
Default
1limit?integer
Default
20Range
value <= 100sortBy?string
Default
"created_at"Value in
"name" | "created_at" | "contact_count"sortDir?string
Default
"desc"Value in
"asc" | "desc"Response Body
application/json
curl -X GET "https://api.keplars.com/api/v1/public/audiences/get-audiences"{
"success": true,
"message": "Success",
"data": {
"audiences": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "Newsletter Subscribers",
"description": "string",
"contact_count": 0,
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
],
"meta": {
"total": 0,
"page": 0,
"limit": 0,
"has_more": true
}
}
}